Download it now!
Bug 90099 - Closing style dialog windows while creating new styles leaves the style list inconsistent
Summary: Closing style dialog windows while creating new styles leaves the style list ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.0.0 target:4.4.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-03-19 08:53 UTC by Matthew Francis
Modified: 2015-12-17 08:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2015-03-19 08:53:38 UTC
Split from bug 90095

Original reproduction instructions:

"1.File> New> Text
2.Right click "Default Style" in the "Styles & formatting" panel of the sidebar then "New", Organize tab, replace "Untitled1" by what you want (e.g. Foo)
3.Change tab (e.g. click Indents & Spacing). We can see that the name of the new style is already in the list
4.Close the dialog with the close button (cross): style remains.
5.Right click the "foo" style, you can not delete.
6.Save and reload the document: "ghost" style has disappeared."

The same appears to apply to creating new styles in the Paragraph Styles, Frame Styles and Numbering Styles dialogs. Page Styles appears to successfully create a style when you close the window, and Character Styles appears to successfully clean up the half-made style when you close the window (which could both be reasonable, but are inconsistent)
Comment 1 Matthew Francis 2015-03-19 08:54:11 UTC
Setting to -> NEW as a fork of an already confirmed bug
Comment 2 Matthew Francis 2015-03-19 09:16:29 UTC
This seems to have resulted from the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this? Thanks

    commit 1af0e46102350114dd5e854b7692c640dae2727f
    Author:     Caolán McNamara <caolanm@redhat.com>
    AuthorDate: Thu Jul 24 09:42:30 2014 +0100
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Jul 24 12:46:54 2014 +0100
    
        Resolves: fdo#81641 the new style shouldn't be a conditional style



(Note: This seemed only to be reliably reproducible with a clean user profile for some reason)
Comment 3 Caolán McNamara 2015-04-03 08:30:03 UTC
I think that commit just revealed that the style isn't getting deleted rather than caused the style to not get deleted on cancel
Comment 4 Commit Notification 2015-04-03 10:22:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39f306df1d5f8daa4747f1e3b26e853c001669f5

Resolves: tdf#90099 group new style and change style together as one undo

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-04-08 12:06:25 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d1b2478379ac79664f667d55abda1bc05ab8403c&h=libreoffice-4-4

Resolves: tdf#90099 group new style and change style together as one undo

It will be available in 4.4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 pierre-yves samyn 2015-05-23 14:47:33 UTC
Hi

(In reply to Commit Notification from comment #5)
> Caolán McNamara committed a patch related to this issue.
> It has been pushed to "libreoffice-4-4":


Verified on windows 7/64 & Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fr_FR

Thank you
Regards
Pierre-Yves
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:49:29 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]